# Class TCefMediaSourceRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFMediaSource

## Declaration

`type TCefMediaSourceRef = class(TCefBaseRefCountedRef, ICefMediaSource)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefMediaSourceRef

## Overview

### Methods

| `function GetId: ustring;`
| `function IsCastSource: boolean;`
| `function IsDialSource: boolean;`
| `class function UnWrap(data: Pointer): ICefMediaSource;`

## Description

### Methods

| `function GetId: ustring;`
This item has no description. Showing description inherited from ICefMediaSource.GetId. Returns the ID (media source URN or URL) for this source.

| `function IsCastSource: boolean;`
This item has no description. Showing description inherited from ICefMediaSource.IsCastSource. Returns true (1) if this source outputs its content via Cast.

| `function IsDialSource: boolean;`
This item has no description. Showing description inherited from ICefMediaSource.IsDialSource. Returns true (1) if this source outputs its content via DIAL.

| `class function UnWrap(data: Pointer): ICefMediaSource;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.